Bug 137626 - EDITING Handling time in autofilter
Summary: EDITING Handling time in autofilter
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Balázs Varga
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: XLSX-Autofilter
  Show dependency treegraph
 
Reported: 2020-10-20 14:31 UTC by NISZ LibreOffice Team
Modified: 2021-04-16 13:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel with autofilter set to filter time (8.31 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-10-20 14:31 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Excel (33.52 KB, image/png)
2020-10-20 14:32 UTC, NISZ LibreOffice Team
Details
Screenshot of the missing feature in Calc (42.04 KB, image/png)
2020-10-20 14:32 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-10-20 14:31:25 UTC
Created attachment 166550 [details]
Example file from Excel with autofilter set to filter time

Autofilter can filter by year – month – day but can not by hour – minute- seconds, unlike Excel, causing interoperability woes.

Steps to reproduce:
    1. Open attached file.
    2. The autofilter in A1 was set to filter out a date by a given minute in Excel.

Actual results:
In the list of the autofilter there is no option to filter by time, so the options in A2:A5 appear ungrouped and unselected, as if all of them were hidden, while only one was.

Expected results:
Autofilter should be able to handle the hour – minute – seconds precision.
Saving to / reading from various file standards (ODF/OOXML) should be topic for subsequent bugs.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 586f6abee92af3cdabdce034b607b9a046ed3946
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-10-20 14:32:27 UTC
Created attachment 166551 [details]
Screenshot of the original document in Excel
Comment 2 NISZ LibreOffice Team 2020-10-20 14:32:49 UTC
Created attachment 166552 [details]
Screenshot of the missing feature in Calc
Comment 3 b. 2020-10-25 11:04:27 UTC
there are two issues: 

1.) calc doesn't load the sheet as 'filtered', but as 'with hidden rows', you can see from dropdown-button not blue but grey and not 'dotted', and if clicked all items unchecked except 'empty', 

2.) grouping of time values as it works for date entries - i really dislike 'grouping' and would vote for an option to switch it of, but for excel compatibility we need such stuff? 

checked behaviour with: 
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 586f6abee92af3cdabdce034b607b9a046ed3946
CPU threads: 8; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: default; VCL: win
Locale: de-DE (de_DE); UI: en-US
Calc: 

setting to new ...
Comment 4 Commit Notification 2021-03-12 11:21:35 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/26032e63abd01c3d5941a2728ef024da290d6b0a

tdf#137626 XLSX import: fix missing datetime filters

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-03-29 06:47:53 UTC
(In reply to b. from comment #3)
> there are two issues: 
> 
> 1.) calc doesn't load the sheet as 'filtered', but as 'with hidden rows',
> you can see from dropdown-button not blue but grey and not 'dotted', and if
> clicked all items unchecked except 'empty', 

This part was fixed here.

> 
> 2.) grouping of time values as it works for date entries - i really dislike
> 'grouping' and would vote for an option to switch it of, but for excel
> compatibility we need such stuff? 
> 

I split this out as a new request. I'd say we need it for UX-compatibility, similar to the existing grouping of dates.
Comment 6 NISZ LibreOffice Team 2021-04-09 06:28:11 UTC
Verified in: 

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ea4fb1559f7b99a0bfaf18f26cb3b6972c9cde1c
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 7 b. 2021-04-10 14:40:50 UTC
imported still with 'hidden rows' rather than 'filtered', but handling of the filtered values works, :-)  
thanks to @Balázs Varga
Comment 8 Commit Notification 2021-04-16 13:47:26 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7de3a25bc19c85995cffbe0e0823bf57473f7a19

related tdf#137626: rewrite XML_min to XML_minute

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.